// $Id: ICMPMessages.java,v 1.2 2001/05/28 18:29:27 pcharles Exp $

/***************************************************************************
 * Copyright (C) 2001, Patrick Charles and Jonas Lehmann                   *
 * Distributed under the Mozilla Public License                            *
 *   http://www.mozilla.org/NPL/MPL-1.1.txt                                *
 ***************************************************************************/
package net.sourceforge.jpcap.net;


/**
 * Code constants for ICMP message types.
 * <p>
 * Taken from tcpdump/print-icmp.c
 *
 * @author Patrick Charles and Jonas Lehmann
 * @version $Revision: 1.2 $
 * @lastModifiedBy $Author: pcharles $
 * @lastModifiedAt $Date: 2001/05/28 18:29:27 $
 */
public interface ICMPMessages
{
  /**
   * Echo reply.
   */
  int ECHO_REPLY = 0;

  /**
   * Destination unreachable.
   */
  int UNREACH = 3;

  /**
   * Packet lost, slow down.
   */
  int SOURCE_QUENCH = 4;

  /**
   * Shorter route.
   */
  int REDIRECT = 5;

  /**
   * Echo request.
   */
  int ECHO = 8;

  /**
   * router advertisement
   */
  int ROUTER_ADVERT = 9;

  /**
   * router solicitation
   */
  int ROUTER_SOLICIT = 10;

  /**
   * time exceeded
   */  
  int TIME_EXCEED = 11;

  /**
   * ip header bad 
   */
  int PARAM_PROB = 12;

  /**
   * timestamp request 
   */
  int TSTAMP = 13;

  /**
   * timestamp reply 
   */
  int TSTAMP_REPLY = 14;

  /**
   * information request 
   */
  int IREQ = 15;

  /**
   * information reply 
   */
  int IREQ_REPLY = 16;

  /**
   * address mask request 
   */
  int MASK_REQ = 17;

  /**
   * address mask reply 
   */
  int MASK_REPLY = 18;
}
